<script setup lang="ts">
  import { CmsBlockImageFourColumn } from '@shopware-pwa/composables-next';

  const props = defineProps<{
    content: CmsBlockImageFourColumn;
  }>();

  const { getSlotContent } = useCmsBlock(props.content);

  const leftContent = getSlotContent('left');
  const rightContent = getSlotContent('right');
  const centerLeftContent = getSlotContent('center-left');
  const centerRightContent = getSlotContent('center-right');
</script>

<template>
  <div class="md:(grid-cols-4 px-5) grid gap-10 py-5">
    <CmsGenericElement :content="leftContent" />
    <CmsGenericElement :content="centerLeftContent" />
    <CmsGenericElement :content="centerRightContent" />
    <CmsGenericElement :content="rightContent" />
  </div>
</template>
